/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Mouse Memoirs';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/mouse-memoirs-v19-latin-regular.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/mouse-memoirs-v19-latin-regular.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}
:root {
  --clr-light: #fff;
  --clr-dark: #2f2d2e;
  --clr-dark-blue: #2E4057;
  --clr-primary: #ec6909; /* orange */
  --clr-secondary: #c81523;  /* blue */
  --clr-accent: #098CEC; /* green */
  --foreground: var(--clr-dark);
  --background: var(--clr-light);
  --ff-title: 'Mouse Memoirs';
  --ff-body: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,
  Oxygen-Sans,Ubuntu,Cantarell,"Helvetica Neue",sans-serif;;
  --text-size-base: 1rem;
  --text-size-tiny: 0.75rem;
  --text-size-small: 0.825rem;
  --text-size-medium: var(--text-size-base); /* Takes the base size */
  --text-size-big: 1.25rem;
  --text-size-large: 2.75rem;
  --text-size-huge: 3.0rem;

/* original generatepress vars */
  --contrast: #2F2D2E; /* text */
  --contrast-2:pink;
  --contrast-3:green;
  --base: var(--clr-dark-blue);
  --base-2: #f7f8f9;
  --base-3: var(--background);
  --accent: var(--clr-accent) /* blue - hover nav color */
}
body {
  background: var(--background);
  font-family: var(--ff-body);
  font-size: var(--text-size-big);
  font-weight: 400;
  line-height: 1.6;
}

/* sticky footer - .site-header, .site und site-footer werden vom body umschlossen */
body {
  display: grid;
  grid-template-rows: auto 1fr auto;
  height: 100vh;
  /* wichtig damit der mittlere Bereich 1fr sich ueber die gesamte hoehe erstreckt */
}

.site-header {
  background: url(http://berlinfinest.neukoellnstyle.de/wp-content/uploads/2026/02/header-2.png) center center no-repeat;
  background-size: contain;
  min-width: 100%;
  min-height: 365px;
}

h1, h2, h3, h4, h5, h6 {
  text-wrap: balance;
 } 



h1.entry-title, h1.gb-headline, h2.gb-headline, h3.gb-headline, h4.gb-headline, h2 {
  font-family: var(--ff-title);
}
h1.entry-title, h1.gb-headline {
  font-size: var(--text-size-large);
}
h1.gb-headline, h2, h2.widget-title {
  font-size: var(--text-size-large);
}
h3.gb-headline, h4.gb-headline {
  font-size: 24px;
}
h3.gb-headline a {
  text-decoration: none;
  
}
.wp-block-read-more {
  margin-inline: auto;
  text-align: center;
  text-transform: lowercase !important;
}

blockquote {
  font-family: var(--ff-title);
  font-size: var(--text-size-huge);
}
/* hide single post elements */
.featured-image, .entry-meta, .entry-date {
  display: none;
  
}

.site-footer {
  margin-top: 3rem;
  margin-top: 0;
}

#menu-footer-menu {
display: flex;
gap: 1em;
width: 100%;
}

/* footer elemente nebeneinander */
.inside-site-info {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row-reverse !important; 
  gap: 2em;
 
}
/* font-size footer */
.main-navigation a, .inside-site-info {
  font-size: var(--ff-size-base);
  text-transform: uppercase;
  
 
}

#menu-footer-menu a {
  text-decoration: none;
}
.copyright-bar {
  margin-top: -8px;
}

.stern::before {
  content: url(http://berlinfinest.neukoellnstyle.de/wp-content/uploads/2026/02/stern-40.gif);
  padding-right: 8px;
}
.stern-widget h2::before {
  content: url(http://berlinfinest.neukoellnstyle.de/wp-content/uploads/2026/02/stern-40.gif);
  padding-right: 8px;
}

/* rechte seitenleiste */

.inside-right-sidebar {
  font-size: 100%;
  text-align: center;
}


/* primary menu */

.main-navigation {
  font-family: 'Mouse Memoirs';
  font-size: 2em;
  
}

.main-navigation .main-nav>ul {
  display:flex;
  flex-wrap:wrap;
  align-items:center;
  column-gap: 32px;
}

.main-navigation .main-nav ul li a {
  padding:10px 20px;
  padding: 0;
  color: #304882;
}

.main-nav .current_page_item::after {
  content: "";
  background: orange;
  width: 50%;
  height: 2px;
  position: absolute;
  bottom: 10px;
  transition: 200ms all ease-in;
}
.main-nav li:hover:after {
  content: "";
  background: orange;
  width: 100%;
  height: 2px;
  position: absolute;
  bottom: 10px;
  transition: 200ms all ease-in;
}
.main-nav li:after {
  content: "";
  background: orange;
  width: 0%;
  height: 2px;
  position: absolute;
  bottom: 10px;
  transition: 200ms all ease-in;
}

/* all sub-menu items */

.sub-menu {
  border-radius: 0 0 6px 6px;
  padding-bottom: 20px;
}
.main-navigation .main-nav ul ul li a {
  font-size: var(--ff-size-base);
  padding:10px 20px;
}
.main-navigation ul ul {
  width:200px;
  width:300px;
}

a.gb-button {
  background-color: var(--clr-dark-blue) !important;
  border-radius: 8px;
}
a.gb-button:hover {
  background-color: var(--accent) !important;;
}

a.wp-block-button__link {
  margin: 20px 0;
  border-radius: 8px;
  background: red;
}

